> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> This API will return the list of calls based on the filter criteria.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /calls/v1/conversations
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /calls/v1/conversations:
    get:
      tags:
        - Calls
      summary: List Calls
      description: This API will return the list of calls based on the filter criteria.
      operationId: listCalls
      parameters:
        - name: startDate
          description: >-
            Filter the calls by start date. The date should be in ISO 8601
            format, Ex: 2024-11-01T00:00:00.000Z
          in: query
          required: true
          schema:
            type: string
            format: date-time
            example: '2024-11-01T00:00:00.000Z'
        - name: endDate
          in: query
          description: >-
            Filter the calls by end date. The date should be in ISO 8601 format,
            Ex: 2024-11-30T23:59:59.999Z
          required: true
          schema:
            type: string
            format: date-time
            example: '2024-11-30T23:59:59.999Z'
        - name: page
          in: query
          description: To see the calls list of a particular page number.
          required: false
          schema:
            type: integer
            example: 1
            default: 1
        - name: size
          in: query
          description: Number of calls per page.
          required: false
          schema:
            type: integer
            example: 10
            default: 10
        - name: sort
          in: query
          description: Sort the calls by a field
          required: false
          schema:
            type: string
            example: startAt
            enum:
              - startAt
              - endAt
              - status
              - conversationId
            default: startAt
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: integer
                    description: Total number of calls without applying pagination.
                    example: 10
                  conversations:
                    type: array
                    items:
                      $ref: '#/components/schemas/Conversation'
      security:
        - bearer: []
components:
  schemas:
    Conversation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the call
          example: a12f9c88-c155-461f-9771-4d240cdc9a04
        teamId:
          type: string
          description: Unique identifier of the team
          example: 1f7b1b1b1b1b1b1b1b1b1b1b
        assistantId:
          type: string
          description: Unique identifier of the assistant
          example: 3f7b1b1b1b1b1b1b1b1b1b1b
        callType:
          type: string
          description: This is the type of the call.
          example: web
          enum:
            - web
            - phone
        direction:
          type: string
          example: inbound
          enum:
            - inbound
            - outbound
        startAt:
          $ref: '#/components/schemas/StartAt'
        endAt:
          $ref: '#/components/schemas/EndAt'
        userNumber:
          type: string
          description: Phone number of the user
          example: '+919867543210'
        assistantNumber:
          type: string
          description: Phone number of the assistant
          example: '+19867543211'
        status:
          type: string
          description: This field indicates the status of the call.
          example: finished
          enum:
            - queued
            - ongoing
            - forwarded
            - finished
        phoneCallStatus:
          type: string
          description: |-
            Status of the phone call.

            A call can have one of the following statuses:

            - `trying`: The call has been initiated.
            - `early-media`: The call is playing an early media message or tone.
            - `ringing`: The recipient's phone is ringing.
            - `in-progress`: The call is currently active.
            - `busy`: The recipient is unavailable to answer.
            - `no-answer`: The call was not answered.
            - `failed`: The call attempt was unsuccessful.
            - `completed`: The call has ended.
          example: ringing
          enum:
            - trying
            - early-media
            - ringing
            - in-progress
            - busy
            - no-answer
            - failed
            - completed
        callEndTriggerBy:
          type: string
          description: This is the trigger of the call end.
          example: user
          enum:
            - user
            - assistant
        monitor:
          $ref: '#/components/schemas/ConversationMonitor'
        analysis:
          $ref: '#/components/schemas/ConversationAnalysis'
    StartAt:
      type: string
      format: date-time
      description: >-
        This is the ISO 8601 date-time string indicating when the record was
        initiated.
      example: '2020-10-05T00:00:00.000Z'
    EndAt:
      type: string
      format: date-time
      description: This is the ISO 8601 date-time string of when the record was ended.
      example: '2020-10-05T00:00:00.000Z'
    ConversationMonitor:
      type: object
      description: To monitor and control the conversation
      properties:
        controlUrl:
          type: string
          description: The URL to control the conversation
          example: >-
            https://<domain>.interactly.ai/calls/v1/conversations/<random-id>/control
    ConversationAnalysis:
      type: object
      properties:
        summary:
          type: string
          example: The user called Dentistry to schedule an appointment.
          description: >-
            This is the summary of the call. Customize by setting
            `assistant.analysis.summary`.
        successEvaluation:
          type: string
          example: success
          description: >-
            This is the evaluation of the call. Customize by setting
            `assistant.analysis.successEvaluation.prompt` and/or
            `assistant.analysis.successEvaluation.rubric`.
        structuredData:
          type: object
          example: {}
          description: >-
            This is the structured data extracted from the call. Customize by
            setting `assistant.analysis.structuredData.prompt `and/or
            `assistant.analysisPlan.structuredData.schema`.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````